# wxFindReplaceDialog Class Reference
[Common Dialogs]

`#include <wx/fdrepdlg.h>`

Inheritance diagram for wxFindReplaceDialog:
[legend]

## Detailed Description

wxFindReplaceDialog is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else).

The actual searching is supposed to be done in the owner window which is the parent of this dialog. Note that it means that unlike for the other standard dialogs this one must have a parent window. Also note that there is no way to use this dialog in a modal way; it is always, by design and implementation, modeless.

Please see the Dialogs Sample sample for an example of using it.

##

Library: wxCore

Category: Common Dialogs

## Public Member Functions
| wxFindReplaceDialog ()
| wxFindReplaceDialog (wxWindow *parent, wxFindReplaceData *data, const wxString &title, int style=0)
| After using default constructor Create() must be called.
virtual | ~wxFindReplaceDialog ()
| Destructor.
bool | Create (wxWindow *parent, wxFindReplaceData *data, const wxString &title, int style=0)
| Creates the dialog; use wxWindow::Show to show it on screen.
const wxFindReplaceData * | GetData () const
| Get the wxFindReplaceData object used by this dialog.

List of all members.

## Constructor & Destructor Documentation

wxFindReplaceDialog::wxFindReplaceDialog | ( |  | ) |

wxFindReplaceDialog::wxFindReplaceDialog | ( | wxWindow * | parent,
|  | wxFindReplaceData * | data,
|  | const wxString & | title,
|  | int | style = `0` |
| ) |  |  |

After using default constructor Create() must be called.

The parent and data parameters must be non-NULL.

virtual wxFindReplaceDialog::~wxFindReplaceDialog | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxFindReplaceDialog::Create | ( | wxWindow * | parent,
|  | wxFindReplaceData * | data,
|  | const wxString & | title,
|  | int | style = `0` |
| ) |  |  |

Creates the dialog; use wxWindow::Show to show it on screen.

The parent and data parameters must be non-NULL.

const wxFindReplaceData* wxFindReplaceDialog::GetData | ( |  | ) | const

Get the wxFindReplaceData object used by this dialog.

|  | [ top ]